Update Offer Sharing
curl --request PUT \
--url https://api.lendflow.com/api/applications/{application_id}/offers/toggle_shared \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_shared": true,
"offer_ids": [
"architecto"
]
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/offers/toggle_shared"
payload = {
"is_shared": True,
"offer_ids": ["architecto"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_shared: true, offer_ids: ['architecto']})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/offers/toggle_shared', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Offers
Update Offer Sharing
Marks several of the application’s offers as shared or unshared in a single request.
PUT
/
api
/
applications
/
{application_id}
/
offers
/
toggle_shared
Update Offer Sharing
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the application.
Body
application/json
Response
204 - text/plain
The response is of type string.
Example:
""
Was this page helpful?